package com.hzya.frame.mdm.mdmModuleView.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据视图表(MdmModuleView)实体类
 *
 * @author makejava
 * @since 2024-06-03 08:48:37
 */
public class MdmModuleViewEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  显示类型 1、树2、列表*/
   private String viewName;
  /**  显示字段 */
   private String viewFiled;
  /**  上级id字段 */
   private String upIdFiled;
  /**  公司id */
   private String companyId;

    /**  数据类型 1、新增 2、修改 */
    private String dataType;

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public String getViewFiled() {
        return viewFiled;
    }

    public void setViewFiled(String viewFiled) {
        this.viewFiled = viewFiled;
    }

    public String getUpIdFiled() {
        return upIdFiled;
    }

    public void setUpIdFiled(String upIdFiled) {
        this.upIdFiled = upIdFiled;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}

